// Restore background for frontend editor
html.dialog-iframe-root-node
	background: #fff
	height: auto

body.html-editor
	background: #fff
	padding: 1em

.portlet,
.portlet-body
	margin-bottom: $grid

.portlet-content,
.portlet-minimized,
.portlet-content-container
	padding: 0

.portlet-rss
	.feed
		padding-left: 0 !important

	.feed-entries
		font-size: $font-size !important // Override inline style

// Base style overrides
.aui
	body
		background: none
		padding: 0

	dd,
	dt
		line-height: inherit

	dd
		margin-left: 0

		+ dt
			margin-top: ($grid / 2)

	form
		margin: 0

	li
		line-height: inherit

	button,
	input,
	select,
	textarea
		font: #{$font-size} / #{$line-height} $font-family-text
		margin: 0

	input[type=search]
		box-sizing: border-box

	select
		width: auto

	.breadcrumb
		background: none
		margin: 0
		padding: 0

		.divider
			display: none

	// Image carousel and modal slider (from Bootstrap)
	.carousel-inner > .item > img,
	.carousel-inner > .item > a > img
		width: 100%

	.carousel-control
		border: 0
		border-radius: $br
		line-height: 27px
		top: 50%

		+hover
			border: 0

	.carousel-caption
		text-shadow: none

	.modal
		+respond-to(small)
			margin-left: 0 !important
			width: auto !important

	.modal-header .close
		color: inherit
		height: auto

		+hover
			background: none
			color: $link-color

	.modal-body
		max-height: none

	.pagination
		margin: 0

		ul
			box-shadow: none

			> li > a,
			> li > span
				border: 0
				line-height: inherit
				padding: ($grid / 2)

	.row-fluid
		width: auto !important
